(function() {
    // ذخیره ID افزونه در localStorage
    localStorage.setItem('EASYLIVE_EXTENSION_ID', chrome.runtime.id);

    // گوش دادن به پیام‌های سایت
    window.addEventListener('message', function(event) {
        // اطمینان از اینکه پیام از دامنه مجاز آمده است
        if (!event.origin.includes('easylive.ir')) return;

        // اگر سایت درخواست ID افزونه کرد
        if (event.data?.type === 'GET_EXTENSION_ID') {
            window.postMessage({
                type: 'EXTENSION_ID_RESPONSE',
                extensionId: chrome.runtime.id,
                name: 'Easylive',
                version: chrome.runtime.getManifest().version
            }, '*');
        }
    });
})();